Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.comment.event
Class CommentDeletedEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.EntryEvent
              org.blojsom.plugin.comment.event.CommentEvent
                  org.blojsom.plugin.comment.event.CommentDeletedEvent

public class CommentDeletedEvent
extends CommentEvent

Comment Deleted Event indicates an event where a `BlogComment` has been deleted from the system.

Since:
  blojsom 3.0
Version:
  $Id: CommentDeletedEvent.java,v 1.1 2006/03/20 21:30:53 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.plugin.comment.event.CommentEvent
`_comment`

Fields inherited from class org.blojsom.plugin.admin.event.EntryEvent
`_blog, _entry`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`CommentDeletedEvent(java.lang.Object source, java.util.Date timestamp, Comment comment, Blog blog)` Create a new event indicating a `Comment` was deleted in the system.

Methods inherited from class org.blojsom.plugin.comment.event.CommentEvent
`getComment`

Methods inherited from class org.blojsom.plugin.admin.event.EntryEvent
`getBlog, getEntry`

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommentDeletedEvent

    public CommentDeletedEvent(java.lang.Object source,
                               java.util.Date timestamp,
                               Comment comment,
                               Blog blog)

  Create a new event indicating a `Comment` was deleted in the system.

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `comment` - `Comment`
  `blog` - `Blog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD